> ## Documentation Index
> Fetch the complete documentation index at: https://docs.oryntai.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Speech-to-Text



## OpenAPI

````yaml POST /api/v1/ai/stt
openapi: 3.0.0
info:
  title: Orynt API
  description: API documentation for the Orynt x402 ai api wrapper
  version: '1.0'
  contact: {}
servers:
  - url: https://api.oryntai.xyz/
    description: Base URL
security: []
tags: []
paths:
  /api/v1/ai/stt:
    post:
      tags:
        - Ai
      summary: Transcribe audio to text
      operationId: AiController_transcribe
      parameters:
        - name: X-Network
          in: header
          required: true
          description: >-
            Blockchain network to use (e.g., solana, solana-devnet, base,
            polygon)
          schema:
            type: string
        - name: X-PAYMENT
          in: header
          required: false
          description: On-chain payment proof for HTTP 402 requests
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SttDto'
      responses:
        '200':
          description: Transcribed text
          content:
            application/json:
              examples:
                sttExample:
                  summary: Example transcription response
                  value:
                    model: whisper-1
                    transcription: Hello world, this is a test audio.
        '402':
          description: Payment required (x402)
          content:
            application/json:
              examples:
                x402Example:
                  summary: Example 402 payment response
                  value:
                    x402Version: 1
                    error: X-PAYMENT header is required
                    accepts:
                      - scheme: exact
                        network: solana-devnet
                        maxAmountRequired: '40000'
                        resource: http://api.oryntai.xyz/api/v1/ai/stt
                        description: Transcribe audio
                        mimeType: ''
                        payTo: CEBAqJoQXomRdMubgTWL1fa99d2zr2rFTMPukk62fSUw
                        maxTimeoutSeconds: 60
                        asset: 4zMMC9srt5Ri5X14GAgXhaHii3GnPAEERYPJgZJDncDU
                        outputSchema:
                          input:
                            type: http
                            method: POST
                            discoverable: true
                        extra:
                          feePayer: 2wKupLR9q6wXYppw8Gr2NvWxKBUqm4PPJKkQfoxHDBg4
components:
  schemas:
    SttDto:
      type: object
      properties:
        model:
          type: string
          description: STT model to use
          example: whisper-1
        audioUrl:
          type: string
          description: URL of the audio file
          example: https://example.com/audio.mp3
        options:
          type: object
          description: Provider-specific options
      required:
        - model
        - audioUrl

````